Subject: bug#41743: gst123

From: Kyle Andrews <[email-masked]>
Date: Sat, 06 Jun 2020 20:40:00 -0400

Tobias Geerinckx-Rice writes:

> Kyle,
>
> Kyle Andrews 写道：
>> When I install gst123 and try to play an mp3 file no sound comes and
>> I
>> see:
>>
>> : Error: Your GStreamer installation is missing a plug-in.
>
> Does adding ‘gst-plugins-bad’ to the profile fix it?  It let me play a
> random .mp3 file[0], but only without --pure.
>
> Kind regards,
>
> T G-R
>
> [0]:
> https://file-examples.com/wp-content/uploads/2017/11/file_example_MP3_5MG.mp3

I tried adding all the gst packages I could think of to the environment,
but it still did not work. Here is what I ran:

guix environment gst-plugins-base gst-plugins-bad gst-plugins-good gst-plugins-ugly gst123 -- gst123 "/path/to/music-file.mp3"

Error: Your GStreamer installation is missing a plug-in.
=> file cannot be played and will be removed from playlist